#!/bin/sh

mkdir png
rm xyt.plt

awk '
BEGIN{
  t1 = 0;
  t2 = 1.0;
  dt = 0.5;
}
{
  out = out $0 "\n";
}
END{
  t = t1;
  while (t<=t2) {
    TIME = sprintf("%.1f",t);
    tmp = gensub("\\$TIME", TIME, "g", out);
    tmp = gensub("\\$OUT", sprintf("%08d", TIME*1000), "g", tmp);
    print tmp;

    t = t + dt;
  }
}' xyt.src > xyt.plt

chmod +x xyt.plt
#./xyt.plt

exit

